import 'package:at_client/at_client.dart';

import '../test_util.dart';

void main() async {
  try {
    final aliceAtSign = '@murali';
    final atClientManager = await AtClientManager.getInstance()
        .setCurrentAtSign(aliceAtSign, 'wavi', TestUtil.getGenericPreference());

    // alice - listen for notification
    atClientManager.notificationService.subscribe().listen((notification) {
      _notificationCallback(notification);
    });

    await Future.delayed(Duration(minutes: 10));
  } on Exception catch (e, trace) {
    print(e.toString());
    print(trace);
  }
}

void _notificationCallback(AtNotification notification) {
  print('alice notification received: ${notification.toString()}');
}
